Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 22

Thread: Canon iP2700 driver installation failure- dependency issues

  1. #11
    Join Date
    Jan 2006
    Beans
    214
    Distro
    Ubuntu Mate 20.04 Focal Fossa

    Re: Canon iP2700 driver installation failure- dependency issues

    Helloyou,

    Where do you download cnijfilter-common_3.40-1ubuntu13_amd64.deb from?

    Can you help?

    Thanks in advance

  2. #12
    Join Date
    Oct 2010
    Location
    Aix en Provence, France
    Beans
    76
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Canon iP2700 driver installation failure- dependency issues

    Quote Originally Posted by Corvair View Post
    Helloyou,

    Where do you download cnijfilter-common_3.40-1ubuntu13_amd64.deb from?

    Can you help?

    Thanks in advance
    Hello

    You should add this ppa to your source list. It provides drivers for many Canon PIXMA printer.

    Code:
    sudo add-apt-repository ppa:michael-gruz/canon
    sudo apt-get update
    sudo apt-get install cnijfilter-common cnijfilter-ip2700series
    Add your printer and you're done.
    You can try to print a test page
    Last edited by demonipuch; June 6th, 2011 at 01:13 AM.

  3. #13
    Join Date
    Jan 2006
    Beans
    214
    Distro
    Ubuntu Mate 20.04 Focal Fossa

    Re: Canon iP2700 driver installation failure- dependency issues

    Thank you Demonipuch for your reply

    here is the message I get when trying to go to ppa

    claude@claude-desktop:~$ sudo add-apt-repository ppa://michael-gruz/canon
    Error reading https://launchpad.net/api/1.0/~/+archive/: HTTP Error 404: Not Found

    Can you tell me why, what is error 404?

  4. #14
    Join Date
    Jan 2006
    Beans
    214
    Distro
    Ubuntu Mate 20.04 Focal Fossa

    Re: Canon iP2700 driver installation failure- dependency issues

    Demonipuch,

    Thank you very much, my problem is solved.
    I was pasting the information you gave me, that did not work so I went to Micheal's ppa site, entered the information manually and finally got it right.

  5. #15
    Join Date
    Oct 2010
    Location
    Aix en Provence, France
    Beans
    76
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Canon iP2700 driver installation failure- dependency issues

    I don't know why.

    Try this instead :

    Add this line to your /etc/apt/sources.list file :
    Code:
    deb http://ppa.launchpad.net/michael-gruz/canon/ubuntu <distribution> main
    Change <distribution> according to your distribution name (lucid, maverick, natty)

    Code:
    sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 3F7B4A1D
    sudo apt-get update

  6. #16
    Join Date
    Aug 2009
    Location
    Valdivia, Chile
    Beans
    153
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Question Re: Canon iP2700 driver installation failure- dependency issues

    Does this printer report ink levels in Ubuntu? Thanks

  7. #17
    Join Date
    Aug 2009
    Location
    Valdivia, Chile
    Beans
    153
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Talking Re: Canon iP2700 driver installation failure- dependency issues

    Quote Originally Posted by nechus View Post
    Does this printer report ink levels in Ubuntu? Thanks
    My own answer: YES. It does.

    I used "ink".

    Install "ink" with sudo apt-get install ink

    Then enter this command
    ink -p usb

  8. #18
    Join Date
    Jul 2011
    Beans
    15

    Smile Re: Canon iP2700 driver installation failure- dependency issues

    Quote Originally Posted by demonipuch View Post
    Hello

    You should add this ppa to your source list. It provides drivers for many Canon PIXMA printer.

    Code:
    sudo add-apt-repository ppa:michael-gruz/canon
    sudo apt-get update
    sudo apt-get install cnijfilter-common cnijfilter-ip2700series
    Add your printer and you're done.
    You can try to print a test page
    I have been looking to resolve this issue with my Canon MX870 through a few different solutions. Some involved changing install script files. Another had me editing the deb file and re-creating it. No other solution worked as well as this one. This one is gold for anyone with Canon printer and looking to install a driver.

    Thank you!

  9. #19
    Join Date
    Jul 2011
    Beans
    1

    Smile Re: Canon iP2700 driver installation failure- dependency issues

    Your solution went perfect, Thank You


    Quote Originally Posted by GhostRaider555 View Post
    OTRA SOLUCION - ANOTHER SOLUTION -OTRA SOLUCION - ANOTHER SOLUTION


    Español------------------
    Aqui les traigo un aporte, sucede que los controladores para la CanoniP2700 usan dependencias ya viejas para estos tiempos, así que pueden hacer funcionar su querida impresora quitándole las referencias a las dependencias viejas

    ....eso fue lo que hice, les dejo un enlace para que puedan descargar el archivo con el trabajo ya hecho, solo es de seguir las intrucciones que vienen y podrán estar imprimiendo tan bien como antes

    https://rapidshare.com/files/4618238...pendencias.zip

    Mejor si lo suben a otros lugares por si algún día se cae el enlace, porque casi no me mantengo por aquí como para arreglarlo. Buena suerte



    __________________________________________________ _______________________


    English--------------
    Here is a contribution, it happens that CanoniP2700 drivers dependencies are old for these times, so you can run your beloved printer by removing the references to the old dependencies

    .... that's what I did, I leave a link so you can download the file with the work already done, only follow the instructions that come and your can be printing well as before

    https://rapidshare.com/files/4618238...pendencias.zip

    Better if you upload it to other places, if the link stops working, because I sometimes I'm here to fix it. Buena suerte

  10. #20
    Join Date
    Apr 2012
    Beans
    5

    Re: Canon iP2700 driver installation failure- dependency issues

    I think I've followed everything up to here but I'm getting these errors and don't know what to do now...
    E: Unable to locate package cnijfilter-common
    E: Unable to locate package cnijfilter-ip2700series

    Any ideas pleeze?

Page 2 of 3 FirstFirst 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •